package com.zhongzheng.modules.bank.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.bank.bo.ExamQuestionAddBo;
import com.zhongzheng.modules.bank.bo.ExamQuestionEditBo;
import com.zhongzheng.modules.bank.bo.ExamQuestionQueryBo;
import com.zhongzheng.modules.bank.domain.ExamQuestion;
import com.zhongzheng.modules.bank.vo.ExamQuestionVo;

import java.util.Collection;
import java.util.List;

/**
 * 试卷题目关系Service接口
 *
 * @author hjl
 * @date 2021-10-22
 */
public interface IExamQuestionService extends IService<ExamQuestion> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamQuestionVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ExamQuestionVo> queryList(ExamQuestionQueryBo bo);

	List<ExamQuestionVo> getList(ExamQuestionQueryBo bo);

	/**
	 * 根据新增业务对象插入试卷题目关系
	 * @param bo 试卷题目关系新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamQuestionAddBo bo);

	/**
	 * 根据编辑业务对象修改试卷题目关系
	 * @param bo 试卷题目关系编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamQuestionEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
